Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class BaseApiProvider

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.BaseApiProvider

    public abstract class BaseApiProvider
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `CONSTRUCTOR_METHOD`
`static java.lang.String` | `CTOR_GROOVY_METHOD`
`protected java.util.List` | `constructors`
`protected java.util.List` | `instanceMethods`
`protected java.util.List` | `staticMethods`

Method Summary
`void` | `addApi(java.lang.Object apiInstance)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONSTRUCTOR_METHOD

    public static final java.lang.String CONSTRUCTOR_METHOD

### CTOR_GROOVY_METHOD

    public static final java.lang.String CTOR_GROOVY_METHOD

### constructors

    protected java.util.List constructors

### instanceMethods

    @java.lang.SuppressWarnings("rawtypes")
    protected java.util.List instanceMethods

### staticMethods

    protected java.util.List staticMethods

Method Detail

### addApi

    @java.lang.SuppressWarnings("unchecked")
    public void addApi(java.lang.Object apiInstance)

Groovy Documentation